Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Interface DocumentEvent

All Known Implementing Classes:
  AbstractDocument.DefaultDocumentEvent

public interface DocumentEvent

Interface for document change notifications. This provides detailed information to Document observers about how the Document changed. It provides high level information such as type of change and where it occurred, as well as the more detailed structural changes (What Elements were inserted and removed).

See Also:
  `Document`, `DocumentListener`

Nested Class Summary
`static interface` | `DocumentEvent.ElementChange` Describes changes made to a specific element.
`static class` | `DocumentEvent.EventType` Enumeration for document event types

Method Summary
`DocumentEvent.ElementChange` | `getChange(Element elem)` Gets the change information for the given element.
`Document` | `getDocument()` Gets the document that sourced the change event.
`int` | `getLength()` Returns the length of the change.
`int` | `getOffset()` Returns the offset within the document of the start of the change.
`DocumentEvent.EventType` | `getType()` Gets the type of event.

Method Detail

### getOffset

    public int getOffset()

  Returns the offset within the document of the start of the change.

  Returns:
    the offset >= 0

### getLength

    public int getLength()

  Returns the length of the change.

  Returns:
    the length >= 0

### getDocument

    public Document getDocument()

  Gets the document that sourced the change event.

  Returns:
    the document

### getType

    public DocumentEvent.EventType getType()

  Gets the type of event.

  Returns:
    the type

### getChange

    public DocumentEvent.ElementChange getChange(Element elem)

  Gets the change information for the given element. The change information describes what elements were added and removed and the location. If there were no changes, null is returned.

  This method is for observers to discover the structural changes that were made. This means that only elements that existed prior to the mutation (and still exist after the mutatino) need to have ElementChange records. The changes made available need not be recursive.

  For example, if the an element is removed from it's parent, this method should report that the parent changed and provide an ElementChange implementation that describes the change to the parent. If the child element removed had children, these elements do not need to be reported as removed.

  If an child element is insert into a parent element, the parent element should report a change. If the child element also had elements inserted into it (grandchildren to the parent) these elements need not report change.

  Parameters:
    `elem` - the element
  Returns:
    the change information, or null if the element was not modified

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.